freezePane {openxlsx} | R Documentation

## Freeze a worksheet pane

### Description

Freeze a worksheet pane

### Usage

    freezePane(wb, sheet, firstActiveRow = NULL, firstActiveCol = NULL,
      firstRow = FALSE, firstCol = FALSE)

### Arguments

`wb` | A workbook object
`sheet` | A name or index of a worksheet
`firstActiveRow` | Top row of active region
`firstActiveCol` | Furthest left column of active region
`firstRow` | If `TRUE`, freezes the first row (equivalent to firstActiveRow = 2)
`firstCol` | If `TRUE`, freezes the first column (equivalent to firstActiveCol = 2)

### Author(s)

Alexander Walker

### Examples

    ## Create a new workbook
    wb <- createWorkbook("Kenshin")

    ## Add some worksheets
    addWorksheet(wb, "Sheet 1")
    addWorksheet(wb, "Sheet 2")
    addWorksheet(wb, "Sheet 3")
    addWorksheet(wb, "Sheet 4")

    ## Freeze Panes
    freezePane(wb, "Sheet 1" ,  firstActiveRow = 5,  firstActiveCol = 3)
    freezePane(wb, "Sheet 2", firstCol = TRUE)  ## shortcut to firstActiveCol = 2
    freezePane(wb, 3, firstRow = TRUE)  ## shortcut to firstActiveRow = 2
    freezePane(wb, 4, firstActiveRow = 1, firstActiveCol = "D")

    ## Save workbook
    saveWorkbook(wb, "freezePaneExample.xlsx", overwrite = TRUE)

[Package openxlsx version 4.1.0 Index]